//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include "RichView.hpp"
#include "RVScroll.hpp"
#include "RVStyle.hpp"
#include <Graphics.hpp>
#include <ImgList.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label1;
	TLabel *Label2;
	TRichView *rv;
	TButton *Button1;
	TButton *Button2;
	TButton *Button3;
	TEdit *Edit1;
	TImageList *ImageList1;
	TRVStyle *RVStyle1;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall rvJump(TObject *Sender, int id);
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall Button2Click(TObject *Sender);
	void __fastcall Button3Click(TObject *Sender);
private:	// User declarations
    TCustomRVFormattedData* FSelectedRVData;
    int FSelectedItemNo;
    int MakeTag(UnicodeString s);
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
    UnicodeString GetTagStr(int tag);
    void Select(TCustomRVFormattedData* RVData, int ItemNo);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 